[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#267503: upgrading from potato -- /etc/X11/Xwrapper.config not created

Package: xserver-common
Version: 4.3.0.dfsg.1-4
Severity: important

I upgraded xserver-common from 3.3.6-11potato32 to 4.3.0.dfsg.1-4
/etc/X11/Xwrapper.config was not created.
I believe that the potato X packages did not use /etc/X11/Xwrapper.config.
The end result was that I could not run X as a non-root user until I figured
out what the problem was and how to manually fix it.

It seems the problem is in the preinst script.  I'll see if I can figure out
how to create a patch.

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages xserver-common depends on:
ii  debconf [debconf-2.0]     1.4.30         Debian configuration management sy
ii  libc6                     2.3.2.ds1-13   GNU C Library: Shared libraries an
ii  xfree86-common            4.3.0.dfsg.1-1 X Window System (XFree86) infrastr

-- debconf information excluded

Reply to: